OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class DeleteNodesServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.DeleteNodesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class DeleteNodesServlet
extends javax.servlet.http.HttpServlet

A servlet that handles deleting nodes from the database

Author:
  Tarus Balog , OpenNMS
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `RRDTOOL_RT_GRAPH_PROPERTIES_FILENAME`
`static java.lang.String` `RRDTOOL_SNMP_GRAPH_PROPERTIES_FILENAME`
`protected java.util.Properties` `rtProps`
`protected java.io.File` `rtRrdDirectory`
`protected java.util.Properties` `snmpProps`
`protected java.io.File` `snmpRrdDirectory`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`DeleteNodesServlet()`

Method Summary
`static boolean` `deleteDir(java.io.File dir)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` `getList(java.lang.String[] array)`
`void` `init()`
`private void` `sendDeleteNodeEvent(int node)`
`private void` `sendEvent(Event event)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RRDTOOL_SNMP_GRAPH_PROPERTIES_FILENAME

    public static final java.lang.String RRDTOOL_SNMP_GRAPH_PROPERTIES_FILENAME

See Also:
  Constant Field Values

### RRDTOOL_RT_GRAPH_PROPERTIES_FILENAME

    public static final java.lang.String RRDTOOL_RT_GRAPH_PROPERTIES_FILENAME

See Also:
  Constant Field Values

### snmpProps

    protected java.util.Properties snmpProps

### snmpRrdDirectory

    protected java.io.File snmpRrdDirectory

### rtProps

    protected java.util.Properties rtProps

### rtRrdDirectory

    protected java.io.File rtRrdDirectory

Constructor Detail

### DeleteNodesServlet

    public DeleteNodesServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### sendDeleteNodeEvent

    private void sendDeleteNodeEvent(int node)
                              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### sendEvent

    private void sendEvent(Event event)
                    throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getList

    private java.util.List getList(java.lang.String[] array)

### deleteDir

    public static boolean deleteDir(java.io.File dir)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.